API Reference
Update Bio Page
Updates an existing bio page.
PUT
Updated bio page settings
application/json- body
background_color?stringBackground color, e.g. "#ffffff" or "rgba(255,255,255,1)". Send an empty string to remove.
Length
length <= 50custom_links?array<>Custom links to fully replace the existing list. Omit this field to leave custom links unchanged.
description?stringNew description
Length
length <= 255email?stringContact email address (optional)
Length
length <= 255id*integerThe numeric ID of the bio page to update (required)
Range
1 <= valuemastodon_url?stringMastodon profile URL
Length
length <= 2048rss_url?stringRSS feed URL
Length
length <= 2048style?Style configuration for the bio page layout and theme
title*stringNew title for the bio page (required)
Length
length <= 255username?stringDisplay username shown on the bio page. Overrides the account username if provided.
Length
length <= 40OK
application/json- response
code?integerResponse status code (200 indicates success)
data?unknownResponse payload
message?stringHuman-readable status message
curl -X PUT 'https://s.ee/api/v1/bio' \ -H 'Authorization: string' \ -H 'Content-Type: application/json' \ -d '{ "id": 1, "title": "string"}'Example Response200
{ "code": 0, "data": null, "message": "string"}